from setuptools import setup, find_packages
from distutils.cmd import Command
import subprocess
class CustomBuildCommand(Command):
    description = "Run build.py before the main build process"
    user_options = []

    def initialize_options(self):
        pass

    def finalize_options(self):
        pass

    def run(self):
        # build.py 실행
        subprocess.check_call(["python", "build.py"], shell=True)
setup(
    include_package_data=True,
    name='slow_zigzag',
    version='0.2.3',
    description='Zig Zag indicator',
    url='https://github.com/pakchu/zigzag',
    author=['hjkim17', 'pakchu'],
    packages=find_packages(),
    package_data={'zigzag': ['*.py', '*.pyx', '*.pxd']},
    classifiers=[
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
    ],
    install_requires=[
        'numpy',
        'pandas',
        'pandas-ta'
    ],
    python_requires='>=3.9',
    long_description=open('README.md').read(),
    # build.py 를 실행하도록 설정
    cmdclass={"build_ext": CustomBuildCommand},
)